Summary:	SELinux policy compiler
Summary(pl.UTF-8):	Kompilator polityki SELinux
Name:		checkpolicy
Version:	2.5
Release:	1
License:	GPL v2
Group:		Development
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20160223/%{name}-%{version}.tar.gz
# Source0-md5:	a8099a2a36de32327abf681159027c58
URL:		https://github.com/SELinuxProject/selinux/wiki
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libselinux-devel >= 2.5
# it uses libsepol symbols not exported in shared library
BuildRequires:	libsepol-static >= 2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler. Only
required for building policies.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na: Type
Enforcement (TE), kontroli dostępu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

Ten pakiet zawiera checkpolicy - kompilator polityki SELinux. Jest
wymagany do zbudowania polityki.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -pipe" \
	YACC="bison -y" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/checkmodule
%attr(755,root,root) %{_bindir}/checkpolicy
%{_mandir}/man8/checkmodule.8*
%{_mandir}/man8/checkpolicy.8*
%changelog
* Sat Oct 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/checkpolicy.git;a=log;h=master

* Fri Oct 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 5a07db3
- updated to 2.5

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 5557f20
- new URLs, updated to 2.4

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 9beb321
- updated to 2.3

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 61f246b
- updated to 2.2

* Wed May 23 2012 Jan Rękorajski <baggins@pld-linux.org> e3f7cd7
- 2.1.8

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 357aa42
- up to 2.1.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 49a9a44
- dropped pre-cvs changelog

* Wed Jan 20 2010 amateja <amateja@pld-linux.org> 9673ba3
- updated to 2.0.21

* Mon May 11 2009 amateja <amateja@pld-linux.org> 66f0bcb
- updated to 2.0.19
- fixed url in Source0
- added URL
- current version requires more recent version of libsepol-static, updated BR
- adapterized

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 4216e81
- updated to 2.0.16

* Wed Apr 02 2008 zbyniu <zbyniu@pld-linux.org> 1755926
- up to 2.0.12

* Thu Sep 27 2007 zbyniu <zbyniu@pld-linux.org> 02f36bf
- up to 2.0.4

* Fri Apr 06 2007 Jakub Bogusz <qboosh@pld-linux.org> dc2a562
- updated to 2.0.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3f401ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c8064ea
- converted to UTF-8

* Sat Jan 27 2007 zbyniu <zbyniu@pld-linux.org> c272dfa
- up to 1.34.0

* Tue Oct 31 2006 Jakub Bogusz <qboosh@pld-linux.org> 9fbb837
- updated to 1.32

* Sun Mar 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 16e1388
- updated to 1.30

* Wed Dec 21 2005 Jakub Bogusz <qboosh@pld-linux.org> bf8ace0
- updated to 1.28

* Thu Sep 22 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e3dc54
- up to 1.26

